# Uses of Class
org.springframework.context.aot.AbstractAotProcessor.Settings

Packages that use AbstractAotProcessor.Settings
Package
Description
org.springframework.context.aot
AOT support for application contexts.

## Uses of AbstractAotProcessor.Settings in org.springframework.context.aot

Methods in org.springframework.context.aot that return AbstractAotProcessor.Settings
Modifier and Type
Method
Description
`AbstractAotProcessor.Settings`
AbstractAotProcessor.Settings.Builder.`build()`
Build the `AbstractAotProcessor.Settings` configured in this `Builder`.
`protected AbstractAotProcessor.Settings`
AbstractAotProcessor.`getSettings()`
Get the settings for this AOT processor.
Constructors in org.springframework.context.aot with parameters of type AbstractAotProcessor.Settings
Modifier
Constructor
Description
`protected`
`AbstractAotProcessor(AbstractAotProcessor.Settings settings)`
Create a new processor instance with the supplied settings.
`protected`
`ContextAotProcessor(Class<?> applicationClass, AbstractAotProcessor.Settings settings)`
Create a new processor for the specified application entry point and common settings.